%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jbossws-api
Version:          1.0.3
Release:          %mkrel 1
Group:            Development/Java
Summary:          JBossWS API
# https://issues.jboss.org/browse/JBWS-4001
License:          LGPLv2+
URL:              http://www.jboss.org/jbossws
Source0:          https://github.com/jbossws/jbossws-api/archive/%{name}-%{namedversion}.tar.gz
BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-annotations:1)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-processor:1)
BuildRequires:    mvn(org.jboss.ws:jbossws-parent:pom:)

%description
JBoss WS public API.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{namedversion}

# Disable java8doc doclint, using own javadoc setting
%pom_remove_plugin :maven-javadoc-plugin

%pom_xpath_set pom:properties/pom:jboss-logging-annotations.version 1
%pom_xpath_set pom:properties/pom:jboss-logging-processor.version 1

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc




%changelog
* Sat May 13 2017 neoclust <neoclust> 1.0.3-1.mga6
+ Revision: 1100896
- New version 1.0.3
- Second rebuild of the java stack

* Fri Feb 26 2016 neoclust <neoclust> 1.0.2-0.7.CR1.1.mga6
+ Revision: 979525
- sync package jbossws-api with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-0.2.CR1.4.mga5
+ Revision: 747193
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.0.2-0.2.CR1.2.mga4
+ Revision: 545332
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dmorgan <dmorgan> 1.0.2-0.2.CR1.1.mga4
+ Revision: 501155
- New version
- Remove wrong spec file
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 355222
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 1.0.1-1.mga3
+ Revision: 331828
- New version

* Fri Jun 22 2012 gil <gil> 1.0.0-1.mga3
+ Revision: 262612
- imported package jbossws-api

